| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::UndoManager Class Reference

## Public Member Functions
| UndoManager (EditorCore *const core)
void | addAction (UndoAction *const action)
bool | anyMoreRedo () const
bool | anyMoreUndo () const
int | availableRedoSteps () const
int | availableUndoSteps () const
void | clear (bool clearCache=true)
void | clearPreviousOriginData ()
DImageHistory | getImageHistoryOfFullRedo () const
| The history if all available redo steps are redone.
QStringList | getRedoHistory () const
QStringList | getUndoHistory () const
bool | hasChanges () const
bool | isAtOrigin () const
bool | putImageDataAndHistory (DImg *const img, int stepsBack) const
void | redo ()
void | rollbackToOrigin ()
void | setOrigin () const
void | undo ()